# DataExchange
TKSTEPBase
StepGeom

# StepGeom_BoundedCurve Class Reference

`#include <StepGeom_BoundedCurve.hxx>`

Inheritance diagram for StepGeom_BoundedCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_BoundedCurve ()
| Returns a BoundedCurve .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_BoundedCurve::StepGeom_BoundedCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_BoundedCurve::Handle | ( | Standard_Type |  | ) | const

Reimplemented from StepGeom_Curve.

Reimplemented in StepGeom_BezierCurve, StepGeom_BezierCurveAndRationalBSplineCurve, StepGeom_BoundaryCurve, StepGeom_BSplineCurve, StepGeom_BSplineCurveWithKnots, StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve, StepGeom_CompositeCurve, StepGeom_CompositeCurveOnSurface, StepGeom_OuterBoundaryCurve, StepGeom_Polyline, StepGeom_QuasiUniformCurve, StepGeom_QuasiUniformCurveAndRationalBSplineCurve, StepGeom_RationalBSplineCurve, StepGeom_TrimmedCurve, StepGeom_UniformCurve, and StepGeom_UniformCurveAndRationalBSplineCurve.

The documentation for this class was generated from the following file:

- StepGeom_BoundedCurve.hxx